## rtpdtmfdepay

rtpdtmfdepay

## Properties

guint | max-duration | Read / Write
guint | unit-time | Read / Write

## Types and Values

struct | GstRtpDTMFDepay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpDTMFDepay

## Description

This element takes RTP DTMF packets and produces sound. It also emits a message on the GstBus.

The message is called "dtmf-event" and has the following fields

Name | GType | Possible values | Purpose
--- | --- | --- | ---
type | G_TYPE_INT | 0-1 | Which of the two methods specified in RFC 2833 to use. The value should be 0 for tones and 1 for named events. Tones are specified by their frequencies and events are specied by their number. This element currently only recognizes events. Do not confuse with "method" which specified the output.
number | G_TYPE_INT | 0-16 | The event number.
volume | G_TYPE_INT | 0-36 | This field describes the power level of the tone, expressed in dBm0 after dropping the sign. Power levels range from 0 to -63 dBm0. The range of valid DTMF is from 0 to -36 dBm0.
method | G_TYPE_INT | 1 | This field will always been 1 (ie RTP event) from this element.

## Synopsis

### Element Information

plugin | dtmf
author | Youness Alaoui <youness.alaoui@collabora.co.uk>
class | Codec/Depayloader/Network

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)[ 0, 2147483647 ], encoding-name=(string)TELEPHONE-EVENT

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)1

## Functions

## Types and Values

### struct GstRtpDTMFDepay

    struct GstRtpDTMFDepay;

## Property Details

### The `“max-duration”` property

      “max-duration”             guint

The maxumimum duration (ms) of the outgoing soundpacket. (0 = no limit).

Owner: GstRtpDTMFDepay

Flags: Read / Write

Default value: 0

### The `“unit-time”` property

      “unit-time”                guint

The smallest unit (ms) the duration must be a multiple of (0 disables it).

Owner: GstRtpDTMFDepay

Flags: Read / Write

Allowed values: <= 1000

Default value: 0

## See Also

rtpdtmfsrc, rtpdtmfmux